$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.253.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.253.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '1B8D0AF8040C897FB5F6D3FF188821E423AACD2F12BD24A2EFB8FB22CA9ECA69'
  checksumType = 'sha256'
  checksum64 = '1B8D0AF8040C897FB5F6D3FF188821E423AACD2F12BD24A2EFB8FB22CA9ECA69'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.253-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
